Bug 970079 - UI should raise success notification on updating system's custom info
UI should raise success notification on updating system's custom info
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Adam Price
Sachin Ghai
http://projects.theforeman.org/issues...
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 08:35 EDT by Sachin Ghai
Modified: 2016-04-22 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:14:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
no notification raised on updating custom_info (47.03 KB, image/png)
2014-05-20 07:17 EDT, Sachin Ghai
no flags Details
success notification on updating custom info (10.93 KB, image/png)
2014-06-12 06:25 EDT, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 5892 None None None 2016-04-22 12:47 EDT

  None (edit)
Description Sachin Ghai 2013-06-03 08:35:31 EDT
Description of problem:
On updating custom info of a system, UI should raise success notification.

Version-Release number of selected component (if applicable):
katello-cli-common-1.4.2-6.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch
katello-common-1.4.2-8.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.3-4.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-glue-candlepin-1.4.2-8.el6sat.noarch
katello-glue-pulp-1.4.2-8.el6sat.noarch
katello-configure-foreman-1.4.3-12.el6sat.noarch
katello-cli-1.4.2-6.el6sat.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-glue-elasticsearch-1.4.2-8.el6sat.noarch
katello-selinux-1.4.3-3.el6sat.noarch
katello-1.4.2-8.el6sat.noarch
katello-foreman-all-1.4.2-8.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.8-4.el6sat.noarch
signo-katello-0.0.15-1.el6sat.noarch
katello-configure-1.4.3-12.el6sat.noarch
katello-all-1.4.2-8.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


How reproducible:
always

Steps to Reproduce:
1. Register a system
2. Add custom info for a registered system (selet system --> details --> custom info
3. update the custom info


Actual results:
no notification generated

Expected results:
UI should raise success notification on updating system's custom info

Additional info:
Comment 2 Kedar Bidarkar 2013-06-13 10:43:15 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=974166

UI should raise success notification on updating distributors custom info


Just linking similar bugs.
Comment 3 Adam Price 2013-08-01 16:12:48 EDT
works4me

looks to have been fixed here: https://github.com/Katello/katello/commit/98e59b6a
Comment 5 Sachin Ghai 2014-04-28 01:24:54 EDT
Verified with :

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.5.0.20-1.el6sat.noarch
* foreman-compute-1.5.0.20-1.el6sat.noarch
* foreman-libvirt-1.5.0.20-1.el6sat.noarch
* foreman-ovirt-1.5.0.20-1.el6sat.noarch
* foreman-postgresql-1.5.0.20-1.el6sat.noarch
* foreman-proxy-1.5.6-1.el6sat.noarch
* foreman-selinux-1.5.0-0.develop.el6sat.noarch
* katello-1.5.0-19.el6sat.noarch
* katello-apache-1.0-1.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.34-1.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
* pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
* pulp-server-2.3.1-0.4.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
* rubygem-hammer_cli-0.1.0-7.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.3-17.el6sat.noarch

Now UI has changed with new layout, but custom info still exists under system and on updating the custom info, UI doesn't raise the success notification.

If we update system name, description then UI raised notification "Save Successful". The same success notification should be raised on updating custom info.
Comment 6 Adam Price 2014-05-13 14:43:10 EDT
this gives you a little notification above the custom info section in current master (as of may 13, 2014)
Comment 8 Sachin Ghai 2014-05-20 07:16:13 EDT
Verified with sat6 snap5 compose 2 (20 may, 2014)

I'm not able see any notification above the custom info section neither on adding new custom info nor updating existing one.
Comment 9 Sachin Ghai 2014-05-20 07:17:02 EDT
Created attachment 897537 [details]
no notification raised on updating custom_info
Comment 10 Adam Price 2014-05-22 19:15:45 EDT
Created redmine issue http://projects.theforeman.org/issues/5892 from this bug
Comment 11 Adam Price 2014-05-27 09:46:34 EDT
https://github.com/Katello/katello/pull/4146
Comment 13 Sachin Ghai 2014-05-29 04:02:18 EDT
Verified with snap7..

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.13-1.el6sat.noarch
* foreman-compute-1.6.0.13-1.el6sat.noarch
* foreman-gce-1.6.0.13-1.el6sat.noarch
* foreman-libvirt-1.6.0.13-1.el6sat.noarch
* foreman-ovirt-1.6.0.13-1.el6sat.noarch
* foreman-postgresql-1.6.0.13-1.el6sat.noarch
* foreman-proxy-1.6.0.6-1.el6sat.noarch
* foreman-selinux-1.6.0-3.el6sat.noarch
* foreman-vmware-1.6.0.13-1.el6sat.noarch
* katello-1.5.0-25.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.44-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-katello-plugins-0.3-1.el6sat.noarch
* pulp-nodes-common-2.4.0-0.18.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.18.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.18.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.18.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.18.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.18.beta.el6sat.noarch
* pulp-server-2.4.0-0.18.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* rubygem-hammer_cli-0.1.1-2.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.1-5.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.4-4.el6sat.noarch


I updated the custom info..but UI still doesn't raise success notification.

Please note that as per description of defect, UI should raise success notification on updating custom info. I can see only while creating new custom info.
Comment 14 Adam Price 2014-06-03 14:16:06 EDT
https://github.com/Katello/katello/pull/4187
Comment 17 Sachin Ghai 2014-06-12 06:24:04 EDT
Verified sat6 beta snap9. 

I can see the notification after updating the custom info of a selected content-host. thanks
Comment 18 Sachin Ghai 2014-06-12 06:25:17 EDT
Created attachment 908049 [details]
success notification on updating custom info
Comment 19 Bryan Kearney 2014-07-02 10:09:58 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.
Comment 20 Bryan Kearney 2014-07-02 10:10:19 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0
Comment 21 Bryan Kearney 2014-07-02 10:14:48 EDT
This was delivered in the Satellite 6 Beta (6.0.3)

Note You need to log in before you can comment on or make changes to this bug.